@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
/* RESET */
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html{
    scroll-behavior: smooth;
}

button, input, select, textarea{  
    font:inherit;
} 

img{
    display: block;
}

a{
    text-decoration: none;
    color: #F8E9E9;
}

body{
    font-family: 'Montserrat', sans-serif;
    background: #2D2D39;
    color: #F8E9E9;

}

.offscreen{
    position: absolute;
    left:-10000000px;
}

/* index page  */

.section-intro{
    max-width: 100%;
    min-height: 100vh;

    display: flex;
    flex-direction: column;
    justify-content: space-between;

    background: #000000; 
    background: -webkit-radial-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5))
    , url(img/cool-photos/kai-pilger-Ef6iL87-vOA-unsplash.jpg); 

    background: radial-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5)),
    url(img/cool-photos/kai-pilger-Ef6iL87-vOA-unsplash.jpg);

    background-size: cover;
    background-position: center;

}

header{
    width: 100%;
    padding: 26px 6%;
    display: grid;
    grid-template-columns: 0.5fr 1fr 0.5fr;
}

.logo{
    width: 100px;    
}

header nav{
    display: flex;
    justify-content: center;
    align-items: center;  
}

header ul li{
    display: inline-block;
    margin-inline: 15px;
}

.github{
    width: 60px;
    display: block;
}

.menu-icon{
    text-align: right;
    display: none;
    width: 60px;
}

.div-icon{
    grid-column: 3/4;
    display: flex;
    justify-content: flex-end;
    align-items: center;
}

header ul li a{
    text-decoration: none;
    color: #F8E9E9;
    font-weight: 700;
    transition: margin 0.5s ease-in-out;
    padding-bottom: 25px;
}

header ul li a:hover{
    position: relative;
    top: -5px;
    /* text-transform: uppercase; */
}

@media only screen and (max-width:425px){
    header{
        padding: 8px 2% 0px 2%;
    }

    nav ul{
        position: absolute;
        top: 65px;
        left:0px;
        width: 100%;
        background: #2D2D39;
        overflow: hidden;
        transition: max-height 0.8s;
    } 


    .logo{
        width: 50px;    
    }

    .menu-icon{
        width:48px;
    }

}


@media only screen and (max-width:425px){

    nav ul{
        position: absolute;
        top: 65px;
        left:0px;

    } 


}


@media only screen and (min-width:425px) and (max-width:645px){

    nav ul{
        position: absolute;
        top: 125px;

    } 


}



@media only screen and (max-width:645px){


    nav ul{
        width: 100%;
        background: #2D2D39;
        overflow: hidden;
        transition: max-height 0.8s;
    } 

    header ul li{
        margin-top: 10px;
        margin-bottom: 10px;
        text-align: right;
        display: block;
    }


    .menu-icon{
        display: block;
        cursor: pointer;
    }
    
    .github{
        display: none;
    }

    header ul li a:hover{
        
        top: 0px;
        color: #d6baba;
    }

}


.index-intro{
    display: flex;
    flex-direction: column;
    padding: 40px 8%;
}

@media screen and (min-width:768px){
    .index-intro{
        padding: 80px 15%;
    }


}

@media screen and (min-width:1440px){
    .index-intro{
        padding: 80px 20%;
    }


}


.index-intro h1{
    /* font-size: 70px; */
    font-size: 4.38em;
    line-height: 4rem;
}

.index-intro p, .intro-a{
    /* font-size: 25px; */
    font-size: 1.57em;
    margin-bottom: 6px;
    margin-right: 5%;
    transition: margin 0.5s ease-in-out;
    
}

.intro-a:hover{
    text-decoration: underline;
    text-underline-offset: 6px;
}
.span-space{
    letter-spacing: 4px;
    color: white;
}

.divider{
    height:15px;
    width: 100%;
    max-width: 540px;
    border: 1px solid #B56576;
    background: #B56576;
    margin-top: 15px;
    margin-bottom: 20px;
}

@media screen and (min-width:1024px){
    .divider{
        max-width: 600px;
        width:100%;
    }
}


hr{
    background: #F8E9E9;
}

.design-characteristics{
    padding: 15px 2%;
    width: 100%;

    display: flex;
    justify-content: space-around;
    flex-direction: column;
    
    /* font-size: 25px; */
    font-size: 1.57em;
    margin-left: auto;
    margin-right: auto;
    text-align: center;

    list-style-position: inside;
    list-style-type:none;
    position: relative;

}

@media screen and (min-width:768px){
    .design-characteristics{

        flex-direction: row;

    
    }
}

.design-characteristics li{
    flex-basis: 33%;
    text-transform: uppercase;
    margin-bottom: 15px;
    /* text-decoration: underline 2px; */
    text-underline-offset: 6px;
    display: inline-block;
}

.design-characteristics li:hover{
    
    color: #433161;
}

.span-uppercase{
    text-transform: uppercase;
}


/* ---------------menu----------------- */






/* ----------- features ------------ */

.dot{
    margin-inline: 5px;
}

.index-features{
    /* min-height: 100vh; */
    padding: 50px 8%;
    text-align: center;
    display: flex;
    flex-direction: column;
    align-items: center;

    flex-wrap: wrap;
    background: #16171d;
    
    /* border: 3px solid black; */
}


.index-features h2{
    flex-basis: 100%;
    margin-bottom: 50px;
}

.index-features a{
    flex-basis: 100%;
    margin-bottom: 15px;
    
}

@media screen and (min-width:768px){
    .index-features{
        flex-direction: row;
        justify-content: space-between;
        align-items: start;
       
    }

    .index-features a{
        flex-basis: 45%;
        /* flex-basis: 30%; */
    }
    
}


.features-figure img{
    width: 100%;
    /* box-shadow: 4px 4px 4px rgba(123, 120, 120, 0.522); */
    cursor: pointer;
}

.features-figure:hover{
    position: relative;
    top: -5px;
}

.features-figure figcaption{
    padding: 2%;
    margin-top: 15px;
}

/* ---------- index-contact ------------- */

.index-contact{
    padding: 10% 10% 1% 10%;
    background: #B56576;
    color: #16171d;      
}
  
.index-contact form{
    margin-top: 25px;
    justify-content: space-between;
}

 form{
    width: 100%;
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
}

 fieldset{
    flex-basis: 50%;
    border: none;
}

@media screen and (min-width:768px) {

    .index-contact{
        padding: 3% 15% 1% 15%;  
    }

    form{
        flex-direction: row;
    }

    fieldset{
        flex-basis: 48%;
    }

    label, input,  textarea {
        /* width: 80%; */
      }
    
    
}

@media screen and (min-width:1440px) {

    .index-contact{
        padding: 3% 20% 1% 20%;  
    }

    
}

label, input,  textarea {
  display: block;
  width: 100%;
  margin-bottom: 10px;
  resize: none;
}

.index-contact textarea{
    display: inline;
}

.message{
    /* max-width: 25px; */
    display: inline-block;
}
 input[type="text"],  input[type="email"], textarea {
  padding: 10px;
  border: 1px solid #ccc;
}

 input[type="submit"] {
    width: auto;
    cursor: pointer;
    padding: 10px 20px;
    background-color: #16171d;
    color: white;
    border: none;
  }

 input[type="submit"]:hover {
    background-color: #2D2D39;
  }

form legend {
    font-weight: bold;
    margin-bottom: 10px;
  }

  /* .contact-div-2{
    padding: 1% 15% 0px 15%;
}

.contact-div, .contact-div-2 {
    position: relative;
    margin-left: auto;
    margin-right: auto;
}

.contact-div::before, .contact-div::after {
    content: "";
    position: absolute;
    background-color: #fff;
  }
  
.contact-div::before {
    height: 150px;
    width: 5px;
}
  
.contact-div::after {
    bottom: 0px;
    right: 0px;
    height: 150px;
    width: 5px;
}

.contact-div-2::before, .contact-div-2::after {
  content: "";
  position: absolute;
  background-color: #fff;
}

.contact-div-2::before {
  top: 0;
  left: 0;
  height: 5px;
  width: 150px;
}

.contact-div-2::after {
  bottom: 0;
  right: 0;
  height: 5px;
  width: 150px;
} */


  /* ----------- projects ------------- */
  .header{
    padding: 26px 6%;
    background: #16171d;
  }

  @media only screen and (max-width:425px){

    .header nav ul{
        position: absolute;
        top: 80px;
        left:0px;

    } 


}


@media only screen and (min-width:425px) and (max-width:645px){

    .header nav ul{
        position: absolute;
        top: 150px;
    } 


}



  @media only screen and (max-width:645px){



    .header nav ul{
        padding: 0px 3%;
        width: 100%;
        background: #2D2D39;
    }

}

@media only screen and (max-width:425px){

    .header{
        padding: 15px 3%;
    }

}



  .header-logo{
    width:75px;
  }


  .projects{
    padding: 50px 8%;
    width: 100%;
    background: #2D2D39;
    color: #F8E9E9;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    flex-wrap: wrap;
  }


.main-h1{
    flex-basis: 100%;
    text-decoration: underline 5px;
    text-decoration-color: #B56576;
    text-underline-offset: 8px;
    margin-bottom: 15px;
}

.project{
    margin-top: 25px;
    margin-bottom: 25px;
}

.project h2{
    margin-top: 45px;
    margin-bottom: 25px;
}

.projects-figure{
    display: flex;
    flex-wrap: wrap;
    
}

.projects-figure a{
    /* max-width: 360px; */
    margin-bottom: 15px;
    flex-basis: 100%;
    transition: margin 0.5s ease-in-out;
}


.projects-figure img{
    width: 100%;
    height: auto;
    transition: margin 0.5s ease-in-out;
}



.projects-figure img:hover{
    position: relative;
    top: -5px;
}

.projects-figure figcaption{
    flex-basis: 100%;
    margin-bottom: 15px;
}

.tech-ul{
    flex-basis: 100%;
}


@media screen and (min-width:768px) {

    .projects-figure{
        justify-content: space-between;
    }
    .projects-figure a{
        flex-basis: 65%;
    }
    
    .projects-figure figcaption{
        flex-basis: 30%;
    }

    .tech-ul{
        flex-basis: 0%;
        
    }
  
}

@media screen and (min-width:1440px) {

    .projects-figure{
        justify-content: space-between;
    }

    .projects-figure a{
        flex-basis: 45%;
    }
    
    .projects-figure figcaption{
        flex-basis: 45%;
    }

    .tech-ul{
        flex-basis: 5%;
        
    }
  
}


.tech-ul h3{
    margin-bottom: 10px;
}


.tech-ul li{
    text-indent: 20px;
    list-style-position: inside;
    list-style-type: square;
}


/* ----------------about--------------- */

.about{
    /* padding: 50px 15% 50px 8%; */
    padding: 50px 8%;
    width: 100%;
    
}

.about h1{
    margin-bottom: 50px;
}

.profile-pic{
    width: 100%;
    margin-bottom: 25px;
    max-width: 358px;
}

@media screen and (min-width:768px) {
    .profile-pic{
        float: right;
        margin-inline: 2%;
    }

}

@media screen and (min-width:1440px) {
    .about{
        padding: 50px 15%;
        
    }

}

.blue-pic{
    width: 100%;
    margin: 15px 0%;
    max-width: 646px;
}

.about-header{
    margin-bottom: 15px;
}

.about p{
    margin: 15px 0;
    line-height:30px;
    min-width:267px;
}

.emphasis{
    color: #B56576;
    font-weight: 600;
}

.link{
    text-decoration: underline;
}


/* ----------------contact-------------- */

.contact-intro{
    max-width: 100%;
    min-height: 100vh;
    /* display: flex;
    flex-direction: column; */
    /* justify-content: space-around; */

    background: #000000; 
    background: -webkit-radial-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5))
    , url(img/cool-photos/ryan-hutton-Jztmx9yqjBw-unsplash.jpg); 

    background: radial-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5)),
    url(img/cool-photos/ryan-hutton-Jztmx9yqjBw-unsplash.jpg);

    background-size: cover;
    background-position: center;

}

.section-contact{
    padding: 40px 8%;
}

.section-contact h1{
    /* font-size: 50px; */
    font-size: 3.13em;
    margin-bottom: 15px;

}

.disappear{
    position: absolute;
    left:-10000000000px;
}

.section-contact input[type="text"], .section-contact input[type="email"],
.section-contact textarea
{
    background: transparent;
    border-radius: 5px;
    border-width: 2px;
    color: white;
}

@media screen and (min-width:768px) {
    .section-contact{
        padding: 80px 13%;
    }

    .section-contact input[type="text"], .section-contact input[type="email"],
    .section-contact textarea{
    width: 85%;
}
}

@media screen and (min-width:1440px) {
    .section-contact{
        padding: 80px 20%;
    }

    .section-contact input[type="text"], .section-contact input[type="email"],
    .section-contact textarea{
    width: 85%;
}
}


.section-contact input[type="submit"]{
    background: #433161;
}

.section-contact input[type="submit"]:hover{
    background: #3f2962;
}



.section-contact input[type="text"]:empty:not(){
    background: transparent;
}

.section-contact form{
    margin-top: 25px;
    justify-content: space-between;
}

.section-contact input:-webkit-autofill,
.section-contact input:-webkit-autofill:hover, 
.section-contact input:-webkit-autofill:focus, 
.section-contact input:-webkit-autofill:active{
    -webkit-box-shadow: 0 0 0 30px rgba(92, 21, 178, 0.185) inset !important;
}